#
# spec file for package python3-pip
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pip
Version:        1.3.1
Release:        0
Url:            http://www.pip-installer.org
Summary:        Pip installs packages. Python 3 packages. An easy_install replacement
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/pip/pip-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# please do not remove, needed for openSUSE <= 12.2
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
# please do not remove, needed for openSUSE <= 12.2
Requires:       python3
Requires:       python3-distribute
BuildArch:      noarch

%description
Pip is a replacement for easy_install. It uses mostly the same techniques for
finding packages, so packages that were made easy_installable should be
pip-installable as well.

%prep
%setup -q -n pip-%{version}
sed -i "s|#!/usr/bin/env python||g" pip/__init__.py # Fix non-executable script

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
# remove file that conflicts with python 2 package
rm %{buildroot}%{_bindir}/pip

%files
%defattr(-,root,root,-)
%doc AUTHORS.txt LICENSE.txt docs/*
%{_bindir}/pip-%{py3_ver}
%{python3_sitelib}/*

%changelog
